<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable15;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable15Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

        // cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null && $row[5] === null && $row[6] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable15([
            'dataset_id'                => $this->datasetId,
            'created_by'                => $this->userId,
            'lokasi'                    => $row[1],
            'jenis_bahan_galian'        => $row[2],
            'nama_perusahaan'           => $row[3],
            'luas_penambangan'          => $row[4],
            'luas_area_produksi'        => $row[5],
            'produksi'                  => $row[6],
        ]);
    }
}
